#-------------------------------------------------
#
# Project created by QtCreator 2011-06-29T09:05:30
#
#-------------------------------------------------
VERSION = 0.1.16
DEFINES += APP_VERSION=$$VERSION

QT       += core gui sql

TARGET = qtlockscreen
TEMPLATE = app

TRANSLATIONS    = qtlockscreen_it_IT.ts \
                  qtlockscreen_fr_FR.ts \
                  qtlockscreen_de_DE.ts \
                  qtlockscreen_zh_CN.ts \
                  qtlockscreen_zh_TW.ts \
                  qtlockscreen_sv_SV.ts

SOURCES += main.cpp \
    lockscreen.cpp \
    widgets/lsdatetime.cpp \
    widgets/lsunlockbutton.cpp \
    widgets/lsrect.cpp \
    widgets/lsbattery.cpp \
    widgets/lsmediaplaypausebutton.cpp \
    widgets/lsbutton.cpp \
    widgets/lsmedianextbutton.cpp \
    widgets/lsmediapreviousbutton.cpp \
    backends/systemprofiles.cpp \
    backends/systemplayer.cpp \
    widgets/lsmediametadata.cpp \
    widgets/lsmediaalbumart.cpp \
    widgets/lsimage.cpp \
    widgets/lsmediatimelabel.cpp \
    widgets/lsnotification.cpp \
    widgets/lsslidetounlock.cpp \
    widgets/lstext.cpp \
    widgets/lswidget.cpp \
    widgets/lsunlockslider.cpp \
    widgets/lsmovableimage.cpp \
    widgets/lsweather.cpp \
    widgets/lswifi.cpp \
    widgets/lsoperatorname.cpp \
    widgets/lsphonesignal.cpp \
    widgets/lsradiomode.cpp \
    widgets/lsbluetooth.cpp

HEADERS  += \
    lockscreen.h \
    widgets/lswidget.h \
    widgets/lsdatetime.h \
    widgets/lsunlockbutton.h \
    widgets/lsrect.h \
    widgets/lsbattery.h \
    widgets/lswidgets.h \
    widgets/lsmediaplaypausebutton.h \
    widgets/lsbutton.h \
    widgets/lsmedianextbutton.h \
    widgets/lsmediapreviousbutton.h \
    backends/systemprofiles.h \
    backends/systemplayer.h \
    widgets/lsmediametadata.h \
    widgets/lsmediaalbumart.h \
    widgets/lsimage.h \
    widgets/lsmediatimelabel.h \
    widgets/lsnotification.h \
    widgets/lsslidetounlock.h \
    widgets/lstext.h \
    widgets/lsunlockslider.h \
    widgets/lsmovableimage.h \
    widgets/lsweather.h \
    widgets/lswifi.h \
    widgets/lsoperatorname.h \
    widgets/lsphonesignal.h \
    widgets/lsradiomode.h \
    widgets/lsbluetooth.h

FORMS    +=

symbian {
    TARGET.UID3 = 0xec5aa82c
    # TARGET.CAPABILITY +=
    TARGET.EPOCSTACKSIZE = 0x14000
    TARGET.EPOCHEAPSIZE = 0x020000 0x800000
}

maemo5 {
    target.path = /usr/bin
    INSTALLS += target

    SOURCES +=     backends/mafw/mafwsourcesignalhelper.cpp \
        backends/mafw/mafwsourceadapter.cpp \
        backends/mafw/mafwrenderersignalhelper.cpp \
        backends/mafw/mafwrendereradapter.cpp \
        backends/mafw/mafwplaylistmanageradapter.cpp \
        backends/mafw/mafwplaylistadapter.cpp \
        backends/mafw/mafwadapterfactory.cpp \

    HEADERS +=     backends/mafw/mafwsourcesignalhelper.h \
        backends/mafw/mafwsourceadapter.h \
        backends/mafw/mafwrenderersignalhelper.h \
        backends/mafw/mafwrendereradapter.h \
        backends/mafw/mafwplaylistmanageradapter.h \
        backends/mafw/mafwplaylistadapter.h \
        backends/mafw/mafwadapterfactory.h \

    event.files = maemo-files/qtlockscreen
    event.path = /etc/event.d
    INSTALLS += event

    resources.path = /opt/qtlockscreen
    resources.files =  qtlockscreen_de_DE.qm \
                       qtlockscreen_fr_FR.qm \
                       qtlockscreen_it_IT.qm \
                       qtlockscreen_zh_CN.qm \
                       qtlockscreen_zh_TW.qm \
                       qtlockscreen_sv_SV.qm \
                       default.ini
    INSTALLS += resources

    theme.path = /opt/qtlockscreen/default
    theme.files =   images/backgroundL.png \
                    images/backgroundP.png \
                    images/back.png \
                    images/backPressed.png \
                    images/battery_0.png \
                    images/battery_1.png \
                    images/battery_2.png \
                    images/battery_3.png \
                    images/battery_4.png \
                    images/battery_5.png \
                    images/battery_6.png \
                    images/battery_charging.png \
                    images/call.png \
                    images/email.png \
                    images/forward.png \
                    images/forwardPressed.png \
                    images/message.png \
                    images/no-album-art.png \
                    images/pause.png \
                    images/pausePressed.png \
                    images/play.png \
                    images/playPressed.png \
                    images/stop.png \
                    images/unlock.png \
                    images/unlockPressed.png \
                    images/wifi.png \
                    images/gprs.png \
                    images/signal_0.png \
                    images/signal_1.png \
                    images/signal_2.png \
                    images/signal_3.png \
                    images/signal_4.png \
                    images/signal_5.png \
                    images/radio_2g.png \
                    images/radio_3g.png \
                    images/bluetooth.png

    INSTALLS += theme

    scripts.path = /opt/qtlockscreen
    scripts.files =  weatherwidget.sh \
                     internetwidget.sh
    INSTALLS += scripts

    QT += dbus
    CONFIG += link_pkgconfig
    PKGCONFIG += mafw mafw-shared profile glib-2.0
}

RESOURCES += \
    resources.qrc
